Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.web
Class AbstractResource

    java.lang.Object
      org.jboss.seam.web.AbstractResource

Direct Known Subclasses:
  CaptchaImage, ConditionalAbstractResource

    public abstract class AbstractResource

extends Object

Superclass of Seam components that serve up "resources" to the client via the Seam resource servlet. Note that since a filter is potentially called outside of a set of Seam contexts, it is not a true Seam component. However, we are able to reuse the functionality for component scanning, installation and configuration for filters. All resources must extend this class.

Author:
  Shane Bryzak

Constructor Summary
`AbstractResource()`

Method Summary
`abstract void` | `getResource(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`abstract String` | `getResourcePath()`
`protected javax.servlet.ServletContext` | `getServletContext()`
`protected boolean` | `isCompressedMimeType(String mimeType)`
`protected boolean` | `isGzipEnabled()`
`protected OutputStream` | `selectOutputStream(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setServletContext(javax.servlet.ServletContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResource

    public AbstractResource()

Method Detail

### getServletContext

    protected javax.servlet.ServletContext getServletContext()

### setServletContext

    public void setServletContext(javax.servlet.ServletContext context)

### getResource

    public abstract void getResource(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws javax.servlet.ServletException,
                                     IOException

  Throws:
    `javax.servlet.ServletException`
    `IOException`

### getResourcePath

    public abstract String getResourcePath()

### selectOutputStream

    protected OutputStream selectOutputStream(javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response)
                                       throws IOException

  Throws:
    `IOException`

### isCompressedMimeType

    protected boolean isCompressedMimeType(String mimeType)

### isGzipEnabled

    protected boolean isGzipEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.